package tickevent

/*
import (
	stgmod "gitlink.org.cn/cloudream/jcs-pub/common/models"
	"gitlink.org.cn/cloudream/jcs-pub/common/pkgs/storage/hubpool"
	"gitlink.org.cn/cloudream/jcs-pub/common/pkgs/sysevent"
)

func ReportStorageStats(hubPool *hubpool.HubPool, evtPub *sysevent.Publisher) {
	stgs := hubPool.GetAllHubs()
	for _, stg := range stgs {
		shard, err := stg.GetShardStore()
		if err != nil {
			continue
		}

		stats := shard.Stats()
		evtPub.Publish(&stgmod.BodyStorageStats{
			StorageID: stg.Info().Storage.StorageID,
			DataCount: stats.FileCount,
		})
	}
}
*/
